Subject: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 19:17:07 +0300

> From: Howard Melman <[email-masked]>
> Date: Sun, 17 Apr 2022 11:54:39 -0400
> Cc: Robert Pluim <[email-masked]>,
>  Alan Third <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> > Does this empty display happen with every character for which you have
> > no fonts?  For example, what about this string: 𓂋𓏤𓈖𓆎𓅓‌𓏏𓊖?
> > 
> > On my system, characters for which Emacs cannot find a font display as
> > "tofu": small squares that show the codepoint of the character in
> > hex.  That's what should happen by default in those cases.
> 
> I cut and pasted that string from Apple Mail to Emacs 28 -Q on macOS 11.6.5
> and saw this:

So the example didn't work, because you do have a font for those
characters.  Can you find some characters that don't have fonts?  For
example, do any of the scripts in etc/HELLO show as tofu or "blank"?

(I'm trying to understand why you had those blank displays where you
should have seen tofu; if you are not interested in trying to figure
this out further, I'm fully prepared to stop asking questions.)